<?php
include("/usr/local/www/berogui/includes/Helper/Helper.php");

$exec_ajax = 1;
$invalid = array();

/* [CHECKING GET REQUEST] */
unset($_GET);

/* [CHECKING SESSION] */
$newTarget = '/app/berogui/index.php?m=Acl';
require_once('/usr/local/www/berogui/includes/session.php');
unset($newTarget);

/* [CHECKING POST] */
unset($_POST['start']);

$list_post = array(	'protocol'	=> 'select'	, 'dest_port' 	=> 'select', 'manual_dest_port' => 'int-range'	, 'address' => 'hostname',
			'netmask' 	=> 'netmask'	, 'stack' 	=> 'select', 'id_upd' 		=> 'id' 	);

$list_options_select = array(	'protocol'		=> array('', 'udp', 'tcp')								,
				'dest_port'		=> array('-1', '-2', '80', '443', '54322', '22', '161', '162', '65001', 'all', 'manual'),
				'manual_dest_port'	=> array('min' => 1, 'max' => 65535)							,
				'stack'			=> array('any', 'lan', 'wan')								);

$_POST = Helper::sanitizePost($_POST, $list_post, $exec_ajax, $invalid, $list_options_select);

/* [EXECUTING AJAX] */
if (!$exec_ajax) {
        echo "<script>window.location='../../index.php?m=Acl&error=1&request={$invalid['request']}&checkor={$invalid['checkor']}&key={$invalid['key']}'</script>";
	exit(1);
}

chdir('../..');

include "./includes/variables.php";
include_once("/usr/www/include/SQLite2ToSQLite3.php");
include "./misc/database.php";
require_once "./includes/isgwtelnet.php";
$ba = new beroAri();

// assign inputs
if ($_POST['dest_port'] === 'manual') {
	$_POST['dest_port'] = $_POST['manual_dest_port'];
}
$dest_port = $_POST['dest_port'];

$protocol = $_POST['protocol'];
$address = $_POST['address'];
$netmask = $_POST['netmask'];
$stack = $_POST['stack'];
$id = $_POST['id_upd'];

//After modify
if ($_POST['id_upd']) {
	$ba->update('UPDATE acl SET protocol=\'' . sqlite_escape_string($protocol) . '\', dest_port=\'' . sqlite_escape_string($dest_port) . '\', address=\'' . sqlite_escape_string($address) . '\', stack=\'' . sqlite_escape_string($stack) . '\', ' .
			'netmask=\'' . sqlite_escape_string($netmask) . '\' WHERE id=\'' . sqlite_escape_string ($id) . '\'');
} else {
	//Add new ACL rule
	$ba->insert_('INSERT INTO acl (protocol,dest_port,address,netmask,stack) ' .
			'VALUES (\'' . sqlite_escape_string($protocol) . '\', \'' . sqlite_escape_string($dest_port) . '\', \'' . sqlite_escape_string($address) . '\', \'' . sqlite_escape_string($netmask) . '\', \'' . sqlite_escape_string($stack) . '\')');
}

Helper::activate(1);
if (!$ba->is_error()) {
    echo '<script>window.location=\'../../index.php?m=Acl\'</script>';
}else{
	echo '<script>alert(\'' . $ba->error() . '\');</script>';
}


?>
